### Signal

# Gio DBusAuthObserver::allow-mechanism

since: 2.34

#### Declaration

    gboolean
    allow_mechanism (
      GDBusAuthObserver* self,
      gchar* mechanism,
      gpointer user_data
    )

#### Description [src]

Emitted to check if `mechanism` is allowed to be used.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.34

#### Parameters

`mechanism`

  Type: `gchar*`

  The name of the mechanism, e.g. `DBUS_COOKIE_SHA1`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `mechanism` can be used to authenticate the other peer, `FALSE` if not.